%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name hammer_cli_foreman_ansible
%global plugin_name foreman_ansible

%{!?_root_sysconfdir:%global _root_sysconfdir %{_sysconfdir}}
%global hammer_confdir %{_root_sysconfdir}/hammer

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.3.4
Release: 1%{?foremandist}%{?dist}
Summary: Foreman Ansible plugin for Hammer CLI
Group: Development/Languages
License: GPLv3
URL: https://github.com/theforeman/hammer-cli-foreman-ansible
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(hammer_cli_foreman) >= 0.12.0
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Foreman Ansible plugin for Hammer CLI.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{hammer_confdir}/cli.modules.d
install -m 0644 .%{gem_instdir}/config/%{plugin_name}.yml \
                %{buildroot}%{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%config %{hammer_confdir}/cli.modules.d/%{plugin_name}.yml

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/config
%{gem_instdir}/test

%changelog
* Tue Aug 03 2021 Oleh Fedorenko <ofedoren@redhat.com> 0.3.4-1
- Update to 0.3.4

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.3.3-2
- Rebuild plugins for Ruby 2.7

* Mon Jan 11 2021 Oleh Fedorenko <ofedoren@redhat.com> 0.3.3-1
- Update to 0.3.3

* Wed Aug 21 2019 Ondrej Prazak <oprazak@redhat.com> 0.3.2-1
- Update to 0.3.2

* Fri Apr 05 2019 Oleh Fedorenko <ofedoren@redhat.com> 0.3.0-1
- Update to 0.3.0

* Tue Mar 26 2019 Oleh Fedorenko <ofedoren@redhat.com> 0.2.0-1
- Update to 0.2.0

* Fri Jan 25 2019 Marek Hulan <mhulan@redhat.com> 0.1.2-1
- Update to 0.1.2

* Wed Sep 12 2018 Bryan Kearney <bryan.kearney@gmail.com> - 0.1.1-3
- Move licenes which are GPL-* to GPLv3

* Fri Sep 07 2018 Eric D. Helms <ericdhelms@gmail.com> - 0.1.1-2
- Rebuild for Rails 5.2 and Ruby 2.5

* Wed Jul 04 2018 Oleh Fedorenko <ofedoren@redhat.com> 0.1.1-1
- Add rubygem-hammer_cli_foreman_ansible generated by gem2rpm using the hammer_plugin template
